/******************************************************************************
* Include files
******************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include "timer.h"

/******************************************************************************
* Macros
******************************************************************************/


/******************************************************************************
* Constants
******************************************************************************/


/******************************************************************************
* Global Variables
******************************************************************************/
uint16_t Cnt=0;

/******************************************************************************
* External Variables
******************************************************************************/
volatile uint8_t Task_1000ms,Task_100ms;

/******************************************************************************
* Local Function Declarations
******************************************************************************/


/******************************************************************************
* Local Function Definitions
******************************************************************************/


/******************************************************************************
* Global Function Definitions
******************************************************************************/

/******************************************************************************
* Function:         void TIMER0_Init(void)
* Description:		timer inicializlsa
* Input:
* Output:
* Notes:
******************************************************************************/
void TIMER0_Init(void)
{
	//use TIMER0
	//        D7    D6    D5     D4    D3    D2   D1   D0
	//TCCR0A: FOC0A WGM00 COM0A1 CM0A0 WGM01 CS02 CS01 CS00
	//        0     0     0      0     1     1    0    1
	//CTC mode, div=1024 (7812.5 Hz)
	
	TCCR0A = (1 << WGM01) | (1 << CS02) | (1 << CS00);
	OCR0A = 0x4E;  //f = 8MHz/(1024*78) = 100,16 Hz (9.98 ms)
	TIMSK0 = TIMSK0 | (1 << OCIE0A); // output compare IT enabled
}


/******************************************************************************
* Interrupt Routines
******************************************************************************/

/******************************************************************************
* Function:         ISR(TIMER0_COMP_vect)
* Description:		timer megszaktsa
* Input:
* Output:
* Notes:
******************************************************************************/
ISR(TIMER0_COMP_vect)
{
	
	++Cnt;
	if (0 == Cnt % 100)
	Task_1000ms = TRUE;
	if (0 == Cnt % 10)
	Task_100ms = TRUE;
}